Bug 994651 - [abrt] kde-workspace-4.10.5-3.fc19: KCrash::defaultCrashHandler: Process /usr/bin/plasma-desktop was killed by signal 11 (SIGSEGV)
[abrt] kde-workspace-4.10.5-3.fc19: KCrash::defaultCrashHandler: Process /usr...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kde-workspace (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
abrt_hash:739abd8d5ce7ddda54526b25171...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 13:21 EDT by dnbjunkie
Modified: 2015-02-17 11:38 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:38:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (58.25 KB, text/plain)
2013-08-07 13:21 EDT, dnbjunkie
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-07 13:21 EDT, dnbjunkie
no flags Details
File: core_backtrace (27.13 KB, text/plain)
2013-08-07 13:21 EDT, dnbjunkie
no flags Details
File: dso_list (25.86 KB, text/plain)
2013-08-07 13:21 EDT, dnbjunkie
no flags Details
File: environ (1.73 KB, text/plain)
2013-08-07 13:22 EDT, dnbjunkie
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-07 13:22 EDT, dnbjunkie
no flags Details
File: maps (129.33 KB, text/plain)
2013-08-07 13:22 EDT, dnbjunkie
no flags Details
File: open_fds (154 bytes, text/plain)
2013-08-07 13:22 EDT, dnbjunkie
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2013-08-07 13:22 EDT, dnbjunkie
no flags Details

  None (edit)
Description dnbjunkie 2013-08-07 13:21:35 EDT
Description of problem:
I resumed the session from hibernation. just dragged a window around and the crash occurs. I guess that the homerun launcher makes some trouble. I installed it yesterday.

Version-Release number of selected component:
kde-workspace-4.10.5-3.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/plasma-desktop --nocrashhandler
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/plasma-desktop
kernel:         3.10.4-300.fc19.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Aug  7 17:52:41 localhost abrt[9624]: Saved core dump of pid 7415 (/usr/bin/plasma-desktop) to /var/tmp/abrt/ccpp-2013-08-07-17:52:33-7415 (2394435584 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 KCrash::defaultCrashHandler at /usr/src/debug/kdelibs-4.10.5/kdeui/util/kcrash.cpp:346
 #3 ref at /usr/include/QtCore/qatomic_x86_64.h:121
 #4 QSharedDataPointer at /usr/include/QtCore/qshareddata.h:93
 #5 Plasma::QueryMatch::QueryMatch at /usr/src/debug/kdelibs-4.10.5/plasma/querymatch.cpp:96
 #6 QList<Plasma::QueryMatch>::removeAll at /usr/include/QtCore/qlist.h:773
 #7 Plasma::RunnerContext::removeMatch at /usr/src/debug/kdelibs-4.10.5/plasma/runnercontext.cpp:478
 #8 SolidRunner::onSourceRemoved at /usr/src/debug/kde-workspace-4.10.5/plasma/generic/runners/solid/solidrunner.cpp:273
 #9 SolidRunner::qt_static_metacall at /usr/src/debug/kde-workspace-4.10.5/x86_64-redhat-linux-gnu/plasma/generic/runners/solid/solidrunner.moc:58
 #10 QMetaObject::activate at kernel/qobject.cpp:3547
 #11 Plasma::DataEngine::sourceRemoved at /usr/src/debug/kdelibs-4.10.5/x86_64-redhat-linux-gnu/plasma/dataengine.moc:211
Comment 1 dnbjunkie 2013-08-07 13:21:42 EDT
Created attachment 784002 [details]
File: backtrace
Comment 2 dnbjunkie 2013-08-07 13:21:46 EDT
Created attachment 784003 [details]
File: cgroup
Comment 3 dnbjunkie 2013-08-07 13:21:52 EDT
Created attachment 784004 [details]
File: core_backtrace
Comment 4 dnbjunkie 2013-08-07 13:21:57 EDT
Created attachment 784005 [details]
File: dso_list
Comment 5 dnbjunkie 2013-08-07 13:22:02 EDT
Created attachment 784006 [details]
File: environ
Comment 6 dnbjunkie 2013-08-07 13:22:06 EDT
Created attachment 784007 [details]
File: limits
Comment 7 dnbjunkie 2013-08-07 13:22:14 EDT
Created attachment 784008 [details]
File: maps
Comment 8 dnbjunkie 2013-08-07 13:22:21 EDT
Created attachment 784009 [details]
File: open_fds
Comment 9 dnbjunkie 2013-08-07 13:22:27 EDT
Created attachment 784010 [details]
File: proc_pid_status
Comment 10 Fedora End Of Life 2015-01-09 14:20:38 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-02-17 11:38:13 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.